typedef union {
  long			ival;
  double		fval;
  char			cval;
  char			sval[5000];
  Expression*		exp;
  ExpList*		expl;
  Relation*		rel;
  Condition*		con;
  ConditionList*	conl;
  Action*		action;
  GoalAction*		goal_action;
  KaBodyElement*	body_element;
  KaBodyElement*	body_elements;

  KaBodyBranchElement*	branch_element;
} YYSTYPE;
#define	GOAL_DECL	258
#define	FACT_DECL	259
#define	CYCLE_DECL	260
#define	KA_START	261
#define	KA_NAME	262
#define	KA_DOC	263
#define	KA_CONTEXT	264
#define	KA_PRIORITY	265
#define	KA_EFFECT	266
#define	KA_FAILURE	267
#define	KA_PURPOSE	268
#define	KA_BODY	269
#define	KA_BODY_AND	270
#define	KA_BODY_OR	271
#define	KA_BODY_DO	272
#define	KA_BODY_WHILE	273
#define	KA_BODY_WHEN	274
#define	KA_BODY_ATOMIC	275
#define	EXECUTE	276
#define	LOAD	277
#define	PARSE	278
#define	ASSIGN	279
#define	FAIL	280
#define	RETRIEVE	281
#define	TEST	282
#define	POST	283
#define	UNPOST	284
#define	ACHIEVE	285
#define	MAINTAIN	286
#define	QUERY	287
#define	ASSERT	288
#define	RETRACT	289
#define	UPDATE	290
#define	KEYWORD_TEST	291
#define	KEYWORD_PRIORITY	292
#define	KEYWORD_BY	293
#define	KEYWORD_NOT_BY	294
#define	INTEGER	295
#define	FLOAT	296
#define	STRING	297
#define	ADDRESS	298
#define	IDENTIFIER	299
#define	VARIABLE	300
#define	EQ	301
#define	NEQ	302
#define	LT	303
#define	LE	304
#define	GT	305
#define	GE	306
#define	AND	307
#define	OR	308
#define	NOT	309
#define	FACT	310


extern YYSTYPE yylval;
